Bug 11099 - consider grub2 as a variant
: consider grub2 as a variant
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-grub)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-14 19:54 by
Modified: 2011-03-18 17:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-14 19:54:45
Существует мнение, что загрузчик grub "умер, не развивается, не подлежит
восстановлению" и т.п.
Однако, как я нашел, эти мнения базируются на устаревших сведениях
одно-двухлетней давности. 

если пройти на официальный сайт проекта, http://www.gnu.org/software/grub/
то можно найти, что стартовал проект grub2, целью которого
Currently under development, GRUB 2, has replaced what was formerly known as
GRUB (i.e. version 0.9x), which has, in turn, become GRUB Legacy.
Because GRUB Legacy has become unmaintainable, due to messy code and design
failures. We got many feature requests, and extended GRUB beyond the original
scope, without redesigning the framework. This resulted in the state that it
was
impossible to extend GRUB any further without rethinking everything from the
ground.

т.е. решили переписать его с нуля.
далее тут: http://grub.enbug.org/FrontPage
последняя версия вышла 15 октября 2006 (2006-10-15 GRUB 1.95 was released. )
и она умеет, в том числе "GRUB has support for LVM and RAID since version
1.95."
(http://grub.enbug.org/LVMandRAID)
причем она продолжает развиваться и исправляться "Multiple volume groups don't
work with GRUB 1.95 however. This bug has been fixed in CVS, so if you have
multiple volume groups you should get the latest version from CVS."

На мой взгляд, судя по вышенаписанному, совсем хоронить grub как загрузчик
рановато.
погуглив, нашел, что grub2 используется уже достаточно давно (в январе 2006 его
пробовали в opensolaris, например)

нашел http://ovecka.be/~lkundrak/grub2-gdb/howto.html
GNU GRUB 2 Debugging with GDB HOWTO

пакет в сизифе собран http://www.sisyphus.ru/srpm/grub2/changelog
8 ноября 2006 Michail Yakushin <silicium at altlinux.ru> 1.95-alt1
    * new grub

может быть, испытать его в качестве загрузчика вместе с/вместо lilo, у которого
на данный момент все еще есть проблемы (lvm/raid), насколько мне известно?
------- Comment #1 From 2007-03-15 17:50:06 -------
При этом grub2 по-прежнему не собирается на x86_64 из-за отсутствия поддержки
biarch...
------- Comment #2 From 2007-03-24 22:06:03 -------
можно посмотреть, как это сделано в opensuse 10.2 - у них ставится grub, и у
них
есть версия для x86_64
( http://ru.opensuse.org/Выпущенная_Версия )

по заверению AMorozov, это даже работает
------- Comment #3 From 2007-03-31 00:42:09 -------
К сожалению, grub2 такой же кривой как и grub в плане сборки,
и ещё более нестабильный чем grub в использовании.
------- Comment #4 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #5 From 2008-10-18 16:46:42 -------
Если найдётся бага (или ITP) по грубу, вот тогда на неё стоит ставить
зависимость и куда-то ехать.  Сейчас alterator-bootloader заменён
alterator-lilo, а с grub ситуация та же AFAIK.
------- Comment #6 From 2011-03-18 17:28:14 -------
apparently fixed